#Region "Copyright Syncfusion Inc. 2001 - 2005"
'
'  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Re-distribution in any form is strictly
'  prohibited. Any infringement will be prosecuted under applicable laws. 
'
#End Region

Imports System
Imports System.Drawing
Imports System.Drawing.Drawing2D
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data

Imports Syncfusion.Windows.Forms.Chart

'/ <summary>
'/ The ChartControl sample form.
    '/ </summary>
    
    Public Class FormMain
        Inherits Form
        Private chartControl1 As Syncfusion.Windows.Forms.Chart.ChartControl
        Private panel1 As System.Windows.Forms.Panel
        Private WithEvents checkBox1 As System.Windows.Forms.CheckBox
        Private WithEvents checkBox2 As System.Windows.Forms.CheckBox
        '/ <summary>
        '/ Required designer variable.
        '/ </summary>
        Private components As System.ComponentModel.Container = Nothing
        
        
        Public Sub New()
            '
            ' Required for Windows Form Designer support
            '
            InitializeComponent()
InitializeControlSettings()

        End Sub 'New
        
        
        '/ <summary>
        '/ Clean up any resources being used.
        '/ </summary>
        Protected Overrides Sub Dispose(disposing As Boolean)
            If disposing Then
                If Not (components Is Nothing) Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub 'Dispose
        
        		Private Sub InitializeControlSettings()
        ' Specify a ChartPalette:
        Dim colorarray() As Color = New Color() {Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30)}

        Me.chartControl1.Palette = ChartColorPalette.Custom
        Me.chartControl1.Model.ColorModel.CustomColors = colorarray
        Me.chartControl1.Palette = ChartColorPalette.Custom
        Me.chartControl1.Font = New System.Drawing.Font("Arial", 12.0F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point)

        Me.chartControl1.ChartInterior = New Syncfusion.Drawing.BrushInfo(185, New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure))
        Me.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Top
        Me.chartControl1.ChartArea.HidePartialLabels = True
    End Sub

#Region "Windows Form Designer generated code"
        
        '/ <summary>
        '/ Required method for Designer support - do not modify
        '/ the contents of this method with the code editor.
        '/ </summary>
    Friend WithEvents CheckBox3 As System.Windows.Forms.CheckBox
    Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(FormMain))
        Me.chartControl1 = New Syncfusion.Windows.Forms.Chart.ChartControl
        Me.panel1 = New System.Windows.Forms.Panel
        Me.checkBox2 = New System.Windows.Forms.CheckBox
        Me.checkBox1 = New System.Windows.Forms.CheckBox
        Me.CheckBox3 = New System.Windows.Forms.CheckBox
        Me.panel1.SuspendLayout()
        Me.SuspendLayout()
        '
        'chartControl1
        '
        Me.chartControl1.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.chartControl1.Controls.Add(Me.chartControl1.Legend)
        '
        'chartControl1.Legend
        '
        Me.chartControl1.Legend.Alignment = Syncfusion.Windows.Forms.Chart.ChartAlignment.Far
        Me.chartControl1.Legend.Font = New System.Drawing.Font("Verdana", 10.0!)
        Me.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray
        Me.chartControl1.Legend.LegendAlignment = Syncfusion.Windows.Forms.Chart.ChartAlignment.Far
        Me.chartControl1.Legend.Location = New System.Drawing.Point(305, 338)
        Me.chartControl1.Legend.Name = ""
        Me.chartControl1.Legend.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal
        Me.chartControl1.Legend.TabIndex = 3
        Me.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Bottom
        Me.chartControl1.Location = New System.Drawing.Point(0, 0)
        Me.chartControl1.Name = "chartControl1"
        Me.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center
        Me.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal
        Me.chartControl1.PrimaryXAxis.SmartDateZoomMonthLevelLabelFormat = "m"
        Me.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center
        Me.chartControl1.PrimaryYAxis.SmartDateZoomMonthLevelLabelFormat = "m"
        Me.chartControl1.PrintColorMode = Syncfusion.Windows.Forms.Chart.ChartPrintColorMode.GrayScale
        Me.chartControl1.Size = New System.Drawing.Size(416, 376)
        Me.chartControl1.TabIndex = 2
        Me.chartControl1.Text = "Essential Chart"
        Me.chartControl1.ToolBar.BackColor = System.Drawing.Color.FromArgb(CType(237, Byte), CType(240, Byte), CType(247, Byte))
        Me.chartControl1.ToolBar.Location = New System.Drawing.Point(0, 0)
        Me.chartControl1.ZoomOutIncrement = 1.5
        '
        'panel1
        '
        Me.panel1.Anchor = CType(((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.panel1.BackColor = System.Drawing.Color.White
        Me.panel1.Controls.Add(Me.checkBox2)
        Me.panel1.Controls.Add(Me.checkBox1)
        Me.panel1.Controls.Add(Me.CheckBox3)
        Me.panel1.Location = New System.Drawing.Point(416, 0)
        Me.panel1.Name = "panel1"
        Me.panel1.Size = New System.Drawing.Size(136, 376)
        Me.panel1.TabIndex = 3
        '
        'checkBox2
        '
        Me.checkBox2.Checked = True
        Me.checkBox2.CheckState = System.Windows.Forms.CheckState.Checked
        Me.checkBox2.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.checkBox2.Location = New System.Drawing.Point(16, 128)
        Me.checkBox2.Name = "checkBox2"
        Me.checkBox2.TabIndex = 1
        Me.checkBox2.Text = "Show Ticks"
        '
        'checkBox1
        '
        Me.checkBox1.Checked = True
        Me.checkBox1.CheckState = System.Windows.Forms.CheckState.Checked
        Me.checkBox1.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.checkBox1.Location = New System.Drawing.Point(16, 32)
        Me.checkBox1.Name = "checkBox1"
        Me.checkBox1.Size = New System.Drawing.Size(104, 64)
        Me.checkBox1.TabIndex = 0
        Me.checkBox1.Text = "Optimize positions for small values"
        '
        'CheckBox3
        '
        Me.CheckBox3.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.CheckBox3.Location = New System.Drawing.Point(16, 192)
        Me.CheckBox3.Name = "CheckBox3"
        Me.CheckBox3.TabIndex = 4
        Me.CheckBox3.Text = "Explode All"
        '
        'FormMain
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(552, 374)
        Me.Controls.Add(Me.panel1)
        Me.Controls.Add(Me.chartControl1)
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.Name = "FormMain"
        Me.Text = "Essential Chart - Pie Chart Sample"
        Me.panel1.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub 'InitializeComponent 
#End Region
        
        
        '/ <summary>
        '/ The main entry point for the application.
        '/ </summary>
        <STAThread()>  _
        Shared Sub Main()
            Application.Run(New FormMain())
        End Sub 'Main
        
        
        
        Private Sub FormMain_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
            ' Specify a ChartPalette
            
            
            InitializeChartData()
        End Sub 'FormMain_Load
        
        
        '/ <summary>
        '/ Initializes the ChartControl's data and sets the Chart type
        '/ </summary>
        Protected Sub InitializeChartData()
            Dim random As New Random()
            
            Dim series1 As ChartSeries = Me.chartControl1.Model.NewSeries("Market")
        series1.Points.Add(0, 90)
        series1.Points.Add(1, 9)
        

        series1.OptimizePiePointPositions = True
            series1.Type = ChartSeriesType.Pie
            Me.chartControl1.Series.Add(series1)
            

        series1.Styles(0).Text = String.Format("Production {0}%", series1.Points(0).YValues(0))
        series1.Styles(1).Text = String.Format("Labour {0}%", series1.Points(1).YValues(0))
      
        Me.chartControl1.Series(0).ShowTicks = Me.checkBox2.Checked
        Me.chartControl1.Legend.LegendAlignment = ChartAlignment.Far
        Me.chartControl1.ShowLegend = False
        Me.chartControl1.Text = "Project Cost Breakdown "
        Me.chartControl1.Series3D = True

    End Sub 'InitializeChartData





    Private Sub checkBox1_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles checkBox1.CheckedChanged
        Me.chartControl1.Series(0).OptimizePiePointPositions = Me.checkBox1.Checked
    End Sub 'checkBox1_CheckedChanged


    Private Sub checkBox2_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles checkBox2.CheckedChanged
        If (Me.checkBox2.Checked) Then
            Me.chartControl1.Series(0).ShowTicks = True
        Else
            Me.chartControl1.Series(0).ShowTicks = False
        End If
    End Sub 'checkBox2_CheckedChanged

    Private Sub CheckBox3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox3.CheckedChanged
        If (Me.CheckBox3.Checked) Then
            Me.chartControl1.Series(0).ExplodedAll = True
            Me.chartControl1.Series(0).ExplosionOffset = 8.0F
        Else
            Me.chartControl1.Series(0).ExplodedAll = False
        End If
    End Sub

   
End Class 'FormMain 
